|  | Home | Documentation | saml2__BaseIDAbstractType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
saml2__BaseIDAbstractType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":BaseIDAbstractType is an abstract complexType. More...

`#include <saml2.h>`

## Public Attributes

char * | NameQualifier
| Attribute "NameQualifier" of type xs:string.
char * | SPNameQualifier
| Attribute "SPNameQualifier" of type xs:string.

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":BaseIDAbstractType is an abstract complexType.

Note
  struct saml2__BaseIDAbstractType operations:
  - saml2__BaseIDAbstractType* soap_new_saml2__BaseIDAbstractType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__BaseIDAbstractType(struct soap*, saml2__BaseIDAbstractType*) default initialize members
  - int soap_read_saml2__BaseIDAbstractType(struct soap*, saml2__BaseIDAbstractType*) deserialize from a source
  - int soap_write_saml2__BaseIDAbstractType(struct soap*, saml2__BaseIDAbstractType*) serialize to a sink
  - saml2__BaseIDAbstractType* soap_dup_saml2__BaseIDAbstractType(struct soap*, saml2__BaseIDAbstractType* dst, saml2__BaseIDAbstractType <em>src) returns deep copy of saml2__BaseIDAbstractType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__BaseIDAbstractType(saml2__BaseIDAbstractType
  ) deep deletes saml2__BaseIDAbstractType data members, use only on dst after soap_dup_saml2__BaseIDAbstractType(NULL, saml2__BaseIDAbstractType *dst, saml2__BaseIDAbstractType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ NameQualifier

char* saml2__BaseIDAbstractType::NameQualifier

Attribute "NameQualifier" of type xs:string.

Optional attribute.

## ◆ SPNameQualifier

char* saml2__BaseIDAbstractType::SPNameQualifier

Attribute "SPNameQualifier" of type xs:string.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml2.h